Bug 1007321 - Evolution show another message
Evolution show another message
Product: Fedora
Classification: Fedora
Component: libsoup (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2013-09-12 05:26 EDT by Mikhail
Modified: 2013-09-15 20:28 EDT (History)
6 users (show)

See Also:
Fixed In Version: libsoup-2.42.2-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-15 20:28:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 708006 None None None Never

  None (edit)
Description Mikhail 2013-09-12 05:26:45 EDT
Description of problem:
Evolution show another message

Demonstration video: https://docs.google.com/file/d/0B0nwzlfiB4aQMkF5S1lDMjJTMWs/edit?usp=sharing
Comment 1 Milan Crha 2013-09-12 06:18:48 EDT
Thanks for a bug report. It seems the local cache got confused for some reason. I see in that the message preview's Subject, From and basically all other headers shown there do not match with values from the message list above the preview. Could you close evolution and go to:
(you might have there only one folder with uid-like name) and search the cache for all messages which contain some part of the message source from the end of the video, please? You'll probably find two messages. Please delete them from the cache and then run evolution and select the bad message. the evolution-ews will redownload the message (one of those deleted will reappear), this time with correct content hopefully. I would also try to locate the original message, to which the body belongs, and check whether both messages show the right values in message preview (the second message should be also redownloaded from the server).
Comment 2 Mikhail 2013-09-12 07:16:36 EDT
Yeah, removing "another" message from cache solve this problem.
But, I would like to know how it occurs? I can't reproduce this again, but i have some messages with same symptoms.
Comment 3 Milan Crha 2013-09-12 11:57:43 EDT
I agree with you, I would like to know what happened too. If you do not mind, I would move the investigation into a new upstream bug report. Can I?
Comment 4 Mikhail 2013-09-12 18:00:10 EDT
Yes of course.
Comment 5 Milan Crha 2013-09-13 03:28:44 EDT
Thanks, I moved th9is upstream as [1]. I also asked the first question for you there.

Comment 6 David Woodhouse 2013-09-13 09:09:28 EDT
Reopening. We have a patch, and would like it in the Fedora package please (not sure if/when there'll be another upstream release). If we could have a fix for https://bugzilla.gnome.org/show_bug.cgi?id=703186 in the Fedora update too, since that's also biting my Evolution-EWS users, that would be much appreciated.

Comment 7 David Woodhouse 2013-09-13 10:01:54 EDT
This scratch build of libsoup should fix it:

I've shipped this to my internal users already. Happy to push it as a Fedora update if that's OK...
Comment 8 Fedora Update System 2013-09-13 10:55:31 EDT
libsoup-2.42.2-3.fc19 has been submitted as an update for Fedora 19.
Comment 9 Fedora Update System 2013-09-13 22:34:04 EDT
Package libsoup-2.42.2-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libsoup-2.42.2-3.fc19'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-09-15 20:28:48 EDT
libsoup-2.42.2-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.